Package ghidra.program.model.pcode

# Class HighOther

java.lang.Object
ghidra.program.model.pcode.HighVariable
ghidra.program.model.pcode.HighOther

public class HighOther extends HighVariable
Other forms of variable, these are typically compiler infrastructure like the stackpointer or saved registers

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.pcode.HighVariable

  `function, instances, name, offset, represent, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HighOther(DataType type, Varnode vn, Varnode[] inst, Address pc, HighFunction func)`
  Construct a unique high NOT associated with a symbol
  `HighOther(HighFunction high)`
  Constructor for use with restoreXml

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `decode(Decoder decoder)`
  Decode this HighVariable from a `<high>` element in the stream
  `Address`
  `getPCAddress()`
  `HighSymbol`
  `getSymbol()`
  Retrieve any underlying HighSymbol

  ### Methods inherited from class ghidra.program.model.pcode.HighVariable

  `attachInstances, decodeInstances, getDataType, getHighFunction, getInstances, getName, getOffset, getRepresentative, getSize, requiresDynamicStorage, setHighOnInstances`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HighOther

    public HighOther(HighFunction high)
    Constructor for use with restoreXml
    Parameters:
      `high` - is the HighFunction containing the variable

  - ### HighOther

    public HighOther(DataType type, Varnode vn, Varnode[] inst, Address pc, HighFunction func)
    Construct a unique high NOT associated with a symbol
    Parameters:
      `type` - data type of variable
      `vn` - is the representative Varnode
      `inst` - is the list of Varnodes making up the variable
      `pc` - code unit address where unique is first assigned (first-use)
      `func` - the associated high function

- ## Method Details

  - ### getPCAddress

    public Address getPCAddress()
    Returns:
      instruction address the variable comes into scope within the function

  - ### getSymbol

    public HighSymbol getSymbol()
    Description copied from class: `HighVariable`
    Retrieve any underlying HighSymbol
    Specified by:
      `getSymbol` in class `HighVariable`
    Returns:
      the HighSymbol

  - ### decode

    public void decode(Decoder decoder) throws DecoderException
    Description copied from class: `HighVariable`
    Decode this HighVariable from a `<high>` element in the stream
    Specified by:
      `decode` in class `HighVariable`
    Parameters:
      `decoder` - is the stream decoder
    Throws:
      `DecoderException` - for invalid encodings